SDL_Texture Struct Reference

`#include <SDL_render.h>`

## Data Fields

SDL_PixelFormat | format
int | w
int | h
int | refcount

## Detailed Description

An efficient driver-specific representation of pixel data

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CreateTexture
  SDL_CreateTextureFromSurface
  SDL_CreateTextureWithProperties
  SDL_DestroyTexture

Definition at line 160 of file SDL_render.h.

## Field Documentation

## format

SDL_PixelFormat SDL_Texture::format

The format of the texture, read-only

Definition at line 162 of file SDL_render.h.

## h

int SDL_Texture::h

The height of the texture, read-only.

Definition at line 164 of file SDL_render.h.

## refcount

int SDL_Texture::refcount

Application reference count, used when freeing texture

Definition at line 166 of file SDL_render.h.

## w

int SDL_Texture::w

The width of the texture, read-only.

Definition at line 163 of file SDL_render.h.

The documentation for this struct was generated from the following file:

- SDL_render.h